<?php
Class Fecha_Aux1 {
	static public function auxiliar1_identificar_formato_y_generar_fecha_obj($datetime) {
		$formatos_esperados_posibles = array(  //Para tantear el formato en que vendrá
			"Y-m-d H:i:s",
			"Y-m-d",
		);
		$fecha_obj = NULL;
		foreach($formatos_esperados_posibles as $formato_input_IDENTIFICADO) {
			$fecha_obj = date_create_from_format($formato_input_IDENTIFICADO, $datetime);
			if($fecha_obj!==FALSE) {  //Identificó el formato
				//##ABAJO: pareciera que no es necesario informar el formato_input_IDENTIFICADO,
				//         basta con el objeto fecha_obj:
				//return array($fecha_obj, $formato_input_IDENTIFICADO);
				return $fecha_obj;
			}
		}
		if(empty($fecha_obj)) { //Si luego de recorrer el bucle completo sigue en empty...
			error_y_salir("##20260405171528-0532dav: No pudo identificar como una fecha al parámetro '$datetime'");
		}		
	} //Fin de identificar_formato
} //Fin de Fecha_Aux1	
